php-http/guzzle6-adapter

Guzzle 6 HTTP Adapter

Installs: 33 005 193

Dependents: 1 336

Suggesters: 82

Security: 0

Stars: 1 267

Watchers: 12

Forks: 33

Open Issues: 2

v2.0.1 2018-12-16 14:44 UTC

This package is auto-updated.

Last update: 2020-11-11 22:13:05 UTC


README

Latest Version Software License Build Status Code Coverage Quality Score Total Downloads

Guzzle 6 HTTP Adapter.

Note: Guzzle 6 is not compatible with PHP 8. If you need a PSR-18 client, use PSR-18 and Guzzle 7 which natively implements PSR-18. If you need the HTTPlug interfaces for asynchronous calls or for a system that still requires HTTPlug, use the guzzle7-adapter instead of this repository.

Install

Via Composer

$ composer require php-http/guzzle6-adapter

Documentation

Please see the official documentation.

Testing

First launch the http server:

$ ./vendor/bin/http_test_server > /dev/null 2>&1 &

Then the test suite:

$ composer test

Contributing

Please see our contributing guide.

Security

If you discover any security related issues, please contact us at security@php-http.org.

Credits

Thanks to David de Boer for implementing this adapter.

License

The MIT License (MIT). Please see License File for more information.